## org.hibernate.tool.hbm2ddl
Class SingleLineSqlCommandExtractor

    java.lang.Object
      org.hibernate.tool.hbm2ddl.SingleLineSqlCommandExtractor

All Implemented Interfaces:
  Serializable, Service, ImportSqlCommandExtractor

    public class SingleLineSqlCommandExtractor

extends Object
implements ImportSqlCommandExtractor

Class responsible for extracting SQL statements from import script. Treads each line as a complete SQL statement. Comment lines shall start with `--`, `//` or `/*` character sequence.

See Also:
  Serialized Form

Constructor Summary
`SingleLineSqlCommandExtractor()`

Method Summary
`String[]` `extractCommands(Reader reader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleLineSqlCommandExtractor

    public SingleLineSqlCommandExtractor()

Method Detail

### extractCommands

    public String[] extractCommands(Reader reader)

  Specified by:
    `extractCommands` in interface `ImportSqlCommandExtractor`
  Parameters:
    `reader` - Character stream reader of SQL script.
  Returns:
    List of single SQL statements. Each command may or may not contain semicolon at the end.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.